curl --request PUT \
--url 'https://api.voice.stateset.com/api/v1/operator-queues/{queue_key}' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"active": true,
"auto_dispatch_delay_seconds": 250,
"auto_dispatch_enabled": true,
"auto_dispatch_max_attempts": 1,
"auto_dispatch_retry_delay_seconds": 250,
"default_assignee": "string",
"description": "Two-person tent, green — replacement for damaged pole set.",
"dispatch_schedule": null,
"dispatch_timezone": "America/Los_Angeles",
"dispatch_window_end_hour_utc": 1,
"dispatch_window_start_hour_utc": 1,
"follow_up_escalation_assignee": "string",
"follow_up_escalation_priority": 1,
"follow_up_escalation_queue_key": "string",
"follow_up_escalation_seconds": 250,
"is_default": true,
"metadata": null,
"name": "Two-Person Tent",
"priority": 1,
"sla_seconds": 250
}'
{
"active": true,
"auto_dispatch_delay_seconds": 600,
"auto_dispatch_enabled": true,
"auto_dispatch_max_attempts": 3,
"auto_dispatch_retry_delay_seconds": 900,
"created_at": "2024-01-15T10:30:00Z",
"default_assignee": "tier2@stateset.com",
"description": "Queue for human escalations that require follow-up",
"dispatch_schedule": null,
"dispatch_timezone": "America/New_York",
"dispatch_window_end_hour_utc": 22,
"dispatch_window_start_hour_utc": 14,
"follow_up_escalation_assignee": "supervisor@stateset.com",
"follow_up_escalation_priority": 2,
"follow_up_escalation_queue_key": "priority-escalations",
"follow_up_escalation_seconds": 1800,
"id": "550e8400-e29b-41d4-a716-446655440010",
"is_default": true,
"metadata": null,
"name": "Escalations",
"priority": 10,
"queue_key": "escalations",
"sla_seconds": 900,
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z"
}
Upsert Operator Queue
Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.
PUT
/
api
/
v1
/
operator-queues
/
{queue_key}
curl --request PUT \
--url 'https://api.voice.stateset.com/api/v1/operator-queues/{queue_key}' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"active": true,
"auto_dispatch_delay_seconds": 250,
"auto_dispatch_enabled": true,
"auto_dispatch_max_attempts": 1,
"auto_dispatch_retry_delay_seconds": 250,
"default_assignee": "string",
"description": "Two-person tent, green — replacement for damaged pole set.",
"dispatch_schedule": null,
"dispatch_timezone": "America/Los_Angeles",
"dispatch_window_end_hour_utc": 1,
"dispatch_window_start_hour_utc": 1,
"follow_up_escalation_assignee": "string",
"follow_up_escalation_priority": 1,
"follow_up_escalation_queue_key": "string",
"follow_up_escalation_seconds": 250,
"is_default": true,
"metadata": null,
"name": "Two-Person Tent",
"priority": 1,
"sla_seconds": 250
}'
{
"active": true,
"auto_dispatch_delay_seconds": 600,
"auto_dispatch_enabled": true,
"auto_dispatch_max_attempts": 3,
"auto_dispatch_retry_delay_seconds": 900,
"created_at": "2024-01-15T10:30:00Z",
"default_assignee": "tier2@stateset.com",
"description": "Queue for human escalations that require follow-up",
"dispatch_schedule": null,
"dispatch_timezone": "America/New_York",
"dispatch_window_end_hour_utc": 22,
"dispatch_window_start_hour_utc": 14,
"follow_up_escalation_assignee": "supervisor@stateset.com",
"follow_up_escalation_priority": 2,
"follow_up_escalation_queue_key": "priority-escalations",
"follow_up_escalation_seconds": 1800,
"id": "550e8400-e29b-41d4-a716-446655440010",
"is_default": true,
"metadata": null,
"name": "Escalations",
"priority": 10,
"queue_key": "escalations",
"sla_seconds": 900,
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z"
}
Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.
Path parameters
string
required
Operator queue key
Request body
UpsertOperatorQueueRequest
boolean
integer,null (int32)
boolean
integer (int32)
integer,null (int32)
string,null
string,null
any
string,null
integer,null (int32)
integer,null (int32)
string,null
integer,null (int32)
string,null
integer,null (int32)
boolean
any
string
required
integer (int32)
integer,null (int32)
Response
OperatorQueue
boolean
required
integer,null (int32)
boolean
required
integer (int32)
required
integer,null (int32)
string
required
string,null
string,null
any
required
string,null
integer,null (int32)
integer,null (int32)
string,null
integer,null (int32)
string,null
integer,null (int32)
string
required
boolean
required
any
required
string
required
integer (int32)
required
string
required
integer,null (int32)
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | Operator queue upserted |
400 | Validation error |
401 | Unauthorized |
500 | Internal server error |
503 | Database not configured |
curl --request PUT \
--url 'https://api.voice.stateset.com/api/v1/operator-queues/{queue_key}' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"active": true,
"auto_dispatch_delay_seconds": 250,
"auto_dispatch_enabled": true,
"auto_dispatch_max_attempts": 1,
"auto_dispatch_retry_delay_seconds": 250,
"default_assignee": "string",
"description": "Two-person tent, green — replacement for damaged pole set.",
"dispatch_schedule": null,
"dispatch_timezone": "America/Los_Angeles",
"dispatch_window_end_hour_utc": 1,
"dispatch_window_start_hour_utc": 1,
"follow_up_escalation_assignee": "string",
"follow_up_escalation_priority": 1,
"follow_up_escalation_queue_key": "string",
"follow_up_escalation_seconds": 250,
"is_default": true,
"metadata": null,
"name": "Two-Person Tent",
"priority": 1,
"sla_seconds": 250
}'
{
"active": true,
"auto_dispatch_delay_seconds": 600,
"auto_dispatch_enabled": true,
"auto_dispatch_max_attempts": 3,
"auto_dispatch_retry_delay_seconds": 900,
"created_at": "2024-01-15T10:30:00Z",
"default_assignee": "tier2@stateset.com",
"description": "Queue for human escalations that require follow-up",
"dispatch_schedule": null,
"dispatch_timezone": "America/New_York",
"dispatch_window_end_hour_utc": 22,
"dispatch_window_start_hour_utc": 14,
"follow_up_escalation_assignee": "supervisor@stateset.com",
"follow_up_escalation_priority": 2,
"follow_up_escalation_queue_key": "priority-escalations",
"follow_up_escalation_seconds": 1800,
"id": "550e8400-e29b-41d4-a716-446655440010",
"is_default": true,
"metadata": null,
"name": "Escalations",
"priority": 10,
"queue_key": "escalations",
"sla_seconds": 900,
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z"
}
Last modified on August 31, 2026